import { Directive, ElementRef, Input, Output, EventEmitter } from '@angular/core';
import { Typed } from './typed';
var TypingAnimationDirective = /** @class */ (function () {
    function TypingAnimationDirective(elRef) {
        this.elRef = elRef;
        this.typeSpeed = 0;
        this.startDelay = 0;
        this.condition = true;
        this.hideCursorOnComplete = false;
        this.complete = new EventEmitter();
        this.typingLock = false;
    }
    TypingAnimationDirective.prototype.ngOnInit = function () {
        var _this = this;
        this.typed = new Typed(this.elRef.nativeElement, {
            typeSpeed: this.typeSpeed,
            startDelay: this.startDelay,
            condition: this.condition,
            hideCursorOnLast: this.hideCursorOnComplete,
            onComplete: function () {
                _this.complete.emit(null);
                _this.typingLock = false;
            }
        });
        if (this.condition) {
            this.typed.begin();
            this.typingLock = true;
        }
    };
    TypingAnimationDirective.prototype.ngOnChanges = function (changes) {
        if ('condition' in changes) {
            if (this.typingLock) {
                return;
            }
            if (this.condition) {
                this.typed.begin();
                this.typingLock = true;
            }
        }
    };
    TypingAnimationDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[typingAnimation]'
                },] },
    ];
    /** @nocollapse */
    TypingAnimationDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    TypingAnimationDirective.propDecorators = {
        'typeSpeed': [{ type: Input, args: ['typeSpeed',] },],
        'startDelay': [{ type: Input, args: ['startDelay',] },],
        'condition': [{ type: Input, args: ['condition',] },],
        'hideCursorOnComplete': [{ type: Input, args: ['hideCursorOnComplete',] },],
        'complete': [{ type: Output, args: ['complete',] },],
    };
    return TypingAnimationDirective;
}());
export { TypingAnimationDirective };
//# sourceMappingURL=typing-animation.directive.js.map